# Draw_DC_XXX_Rasters

## Functions

void | `HIC_Draw_DC_Bit_Rasters`
void | `HIC_Draw_DC_Gray8_Rasters`
void | `HIC_Draw_DC_Mapped8_Rasters`
void | `HIC_Draw_DC_Mapped16_Rasters`
void | `HIC_Draw_DC_RGB32_Rasters`

## Detailed Description

group Draw_DC_XXX_Rasters

## Function Documentation

void HIC_Draw_DC_Bit_Rasters(HIC_Rendition *nr, HIC_DC_Point *start, HIC_DC_Point *end, int rowbytes, unsigned char rasters[])

  This function draws a single scan line determined by the bits in the data array.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - start – A pointer to a const HIC_DC_Point.

    - end – A pointer to a const HIC_DC_Point.

    - rowbytes – An int.

    - rasters – A pointer to a const unsigned char.

void HIC_Draw_DC_Gray8_Rasters(HIC_Rendition *nr, HIC_DC_Point *start, HIC_DC_Point *end, int rowbytes, unsigned char rasters[])

  This function draws an image specified by an array of eight-bit gray scale values.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - start – A pointer to a const HIC_DC_Point.

    - end – A pointer to a const HIC_DC_Point.

    - rowbytes – An int.

    - rasters – A pointer to a const unsigned char.

void HIC_Draw_DC_Mapped8_Rasters(HIC_Rendition *nr, HIC_DC_Point *start, HIC_DC_Point *end, int rowbytes, unsigned char rasters[])

  This function draws an image specified by an array of eight-bit color indices into the current color map.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - start – A pointer to a const HIC_DC_Point.

    - end – A pointer to a const HIC_DC_Point.

    - rowbytes – An int.

    - rasters – A pointer to a const unsigned char.

void HIC_Draw_DC_Mapped16_Rasters(HIC_Rendition *nr, HIC_DC_Point *start, HIC_DC_Point *end, int rowbytes, unsigned short rasters[])

  This function draws an image specified by an array of 16-bit color indices into the current color map.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - start – A pointer to a const HIC_DC_Point.

    - end – A pointer to a const HIC_DC_Point.

    - rowbytes – An int.

    - rasters – A pointer to a const unsigned char.

void HIC_Draw_DC_RGB32_Rasters(HIC_Rendition *nr, HIC_DC_Point *start, HIC_DC_Point *end, int rowbytes, HIC_RGBAS32 rasters[])

  This function draws an image specified by an array of 32-bit words, each giving a pixel color in the platform-dependent four-byte color format.

  Parameters

    - nr – A pointer to a const HIC_Rendition.

    - start – A pointer to a const HIC_DC_Point.

    - end – A pointer to a const HIC_DC_Point.

    - rowbytes – An int.

    - rasters – A pointer to a const unsigned char.